import React from 'react';

interface VideoSource {
    src: string;
    quality: string;
    label: string;
}
interface SubtitleTrack {
    src: string;
    label: string;
    srclang: string;
}
interface CustomTheme {
    primary: string;
    secondary: string;
    background: string;
    text: string;
    accent: string;
}
interface VideoPlayerProps {
    sources: VideoSource[];
    subtitles?: SubtitleTrack[];
    poster?: string;
    onNext?: () => void;
    onPrevious?: () => void;
    autoPlay?: boolean;
    className?: string;
    theme?: 'default' | 'minimal' | 'dark' | 'neon' | 'light' | 'ocean' | CustomTheme;
    isDeveloperModeDisabled?: boolean;
}

declare const VideoPlayer: React.FC<VideoPlayerProps>;

export { type SubtitleTrack, VideoPlayer, type VideoPlayerProps, type VideoSource, VideoPlayer as default };
